> For the complete documentation index, see [llms.txt](https://docs.xibosignage.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xibosignage.com/getting-started.md).

# Getting Started

- [Xibo User Manual](https://docs.xibosignage.com/getting-started/index.md): Welcome to the Xibo User Manual. Whether you are a first time user or a user who wants to delve a bit deeper, the User Manual will help you maximise the full potential of all that Xibo has to offer.
- [Showing an Image on Displays](https://docs.xibosignage.com/getting-started/getting_started_showing_an_image.md): Add an Image file to your Media Library and Schedule to play on Displays.
- [Showing a Video on Displays](https://docs.xibosignage.com/getting-started/getting_started_showing_a_video.md): Add a Video file to your Media Library and Schedule to play on Displays.
- [Showing a Playlist on Displays](https://docs.xibosignage.com/getting-started/getting_started_showing_a_playlist.md): Create a Playlist of content and Schedule to show on Displays.
- [Sorting and Filtering](https://docs.xibosignage.com/getting-started/getting_started_sorting_and_filtering.md): Page information within the CMS is presented as tabular data in a grid format.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xibosignage.com/getting-started.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
